---
- name: Install (or update) vim and zsh with defined configs
  hosts: all
  become: yes

# параметры:
#   update_only: {yes, no} - включить режим обновления конфигураций. По умолчанию равен no (см. директорию vars роли install-zsh-and-vim)
#   install_deps: {yes, no} - активация установки пакетов (zsh, wget, vim, git). По умолчанию равен yes
#   dest_folder: "path" - путь, по которому скопируются файлы конфигурации. По умолчанию "/root/"
# Если update_only: yes и install_deps: yes, то установка пакетов не выполнится, только обновление файлов

  roles:
    - role: install-zsh-and-vim
      # update_only: yes
      install_deps: no